Index: sources/client/src/components/user/Landing/styles.js
===================================================================
--- sources/client/src/components/user/Landing/styles.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
+++ sources/client/src/components/user/Landing/styles.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -0,0 +1,129 @@
+import styled, { keyframes } from 'styled-components';
+import LocalParkingIcon from '@mui/icons-material/LocalParking';
+import Button from '@mui/material/Button';
+
+const breath = keyframes`
+  0% {
+    opacity: 0.4;
+    transform: scale(0.7);
+    transform: translate(-50%, -50%);
+  }
+  25% {
+    opacity: 0.6;
+    transform: scale(0.8);
+    transform: translate(-50%, -50%);
+  }
+  50% {
+    opacity: 0.8;
+    transform: scale(0.9);
+    transform: translate(-50%, -50%);
+  }
+  100% {
+    opacity: 0.1;
+    transform: scale(1.1);
+    transform: translate(-50%, -50%);
+  }
+`;
+
+const buttonBreath = keyframes`
+  0% {
+    transform: scale(0.8) ;
+  }
+  25% {
+    transform: scale(0.85) ;
+  }
+  50% {
+    transform: scale(0.9) ;
+  }
+  75% {
+    transform:  scale(0.95) ;
+  }
+  100% {
+    transform: scale(1) ;
+  }
+`;
+
+export const Wrapper = styled.div`
+  width: 100%;
+  height: calc(100vh - 66px);
+  padding: 10px 0;
+  position: relative;
+`;
+
+export const ParkingSpace = styled.div`
+  width: 50%;
+  height: 40vh;
+  margin: auto;
+  position: relative;
+  border: 10px solid white;
+  border-bottom: 0;
+`;
+
+export const ParkingIcon = styled(LocalParkingIcon).attrs({
+  sx: {
+    fontSize: 120,
+  },
+})`
+  color: ${(props) => props.theme.palette.primary.dark};
+  left: 50%;
+  top: 50%;
+  transform: translate(-50%, -50%);
+  position: absolute;
+  animation: ${breath} 2s linear infinite normal;
+`;
+
+export const ParkingSpaceHelper = styled.div`
+  position: absolute;
+  width: 20%;
+  border-bottom: 10px solid white;
+`;
+
+export const ArrowsWrapper = styled.div`
+  position: absolute;
+  width: 100%;
+  height: 50vh;
+  bottom: 10vh;
+`;
+
+export const CarWrapper = styled.div`
+  width: 35%;
+  height: 35vh;
+  position: absolute;
+  bottom: 5vh;
+  left: 50%;
+  transform: translateX(-50%);
+`;
+
+export const Car = styled.img`
+  width: 32%;
+  height: 30vh;
+  z-index: 1000;
+  position: absolute;
+  bottom: 5vh;
+  left: 34%;
+  // transform: transalteX(-50%);
+`;
+
+export const PreviewCar = styled.img`
+  width: 35%;
+  height: 30vh;
+  z-index: 1001;
+`;
+
+export const YouAreParkedButton = styled(Button).attrs((props) => ({
+  variant: 'contained',
+  size: 'large',
+  sx: {
+    backgroundColor: `${props.theme.palette.primary.main}`,
+  },
+}))`
+  position: absolute;
+  left: 20%;
+  bottom: 20vh;
+  width: fit-content;
+  font-size: 25px;
+  animation: ${buttonBreath} 2s linear infinite alternate;
+  :hover {
+    background-color: ${(props) => props.theme.palette.primary.dark};
+  }
+`;
Index: sources/client/src/components/user/MapUsers/index.js
===================================================================
--- sources/client/src/components/user/MapUsers/index.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
+++ sources/client/src/components/user/MapUsers/index.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -0,0 +1,191 @@
+import { useEffect, useState } from 'react';
+
+import {
+    Wrapper,
+    GoogleMapsWrapper,
+    ZoneSelectInput,
+    DropdownItem,
+    ZoneInfoWrapper,
+    KeyValueWrapper,
+    Key,
+    Value,
+    FreeParkingSpacesText,
+} from './styles';
+
+import GoogleMaps from '../../GoogleMaps';
+import useGetData from '../../../hooks/useGetData';
+import useGetZoneByName from '../../../hooks/useGetZoneByName';
+
+const mockParkingSpaces = [
+    {
+        zone: 'Zona 1',
+        lat: '42.00043725326595',
+        lng: '21.42263398879119',
+        psName: 'A33',
+        taken: true,
+    },
+    {
+        zone: 'Zona 1',
+        lat: '42.00028576562848',
+        lng: '21.423680050318325',
+        psName: 'A34',
+        taken: false,
+    },
+    {
+        zone: 'Zona 1',
+        lat: '41.99959609366812',
+        lng: '21.423374278487316',
+        psName: 'A35',
+        taken: false,
+    },
+    {
+        zone: 'Zona 1',
+        lat: '41.99962798617793',
+        lng: '21.42275200598912',
+        psName: 'A36',
+        taken: true,
+    },
+    {
+        zone: 'Zona 2',
+        lat: '42.00075019371071',
+        lng: '21.42124996894335',
+        psName: 'B33',
+        taken: true,
+    },
+    {
+        zone: 'Zona 2',
+        lat: '42.00070634227895',
+        lng: '21.421571834028622',
+        psName: 'B34',
+        taken: false,
+    },
+    {
+        zone: 'Zona 2',
+        lat: '42.00092958561692',
+        lng: '21.421579880655756',
+        psName: 'B35',
+        taken: false,
+    },
+    {
+        zone: 'Zona 2',
+        lat: '42.00115083493807',
+        lng: '21.421402854858854',
+        psName: 'B36',
+        isTaken: true,
+    },
+];
+
+const MenuProps = {
+    PaperProps: {
+        style: {
+            maxHeight: 150,
+            width: '35px',
+        },
+    },
+};
+
+const defaultZoneInfo = {
+    parkingZoneLocation: {
+        coords: [],
+        centre: {
+            lat: 42.00120992770302,
+            lng: 21.42053372084796,
+        },
+    },
+    color: '',
+};
+
+const MapUsers = () => {
+    const {data: fetchedParkingSpaces, isLoadingParkingSpaces} = useGetData({url: '/parkingSpace'}); 
+    const { data: fetchedSelectZones, isLoading: isLoadingSelectZones } =
+        useGetData({ url: '/parkingZone/parkingZoneNames' });
+    const {
+        zone: zoneInfo,
+        isLoading: isLoadingZoneInfo,
+        fetchZone,
+        setZone: setZoneInfo,
+    } = useGetZoneByName(defaultZoneInfo);
+
+    const [selectedZone, setSelectedZone] = useState('NONE');
+    // const [zoneInfo, setZoneInfo] = useState({ ...defaultZoneInfo });
+    const [parkingSpaces, setParkingSpaces] = useState([]);
+    const [freeParkingSpaces, setFreeParkingSpaces] = useState(0);
+    const handleSelectZone = async (e) => {
+        const _selectedZone = e.target.value;
+        let zone;
+        let _parkingSpaces;
+        let _freeParkingSpaces;
+        if (_selectedZone === 'NONE') {
+            zone = { ...defaultZoneInfo };
+            _parkingSpaces = [...fetchedParkingSpaces ?? []];
+            _freeParkingSpaces =
+                _parkingSpaces.filter((p) => !p.taken).length;
+        setZoneInfo(zone);
+        } else {
+            zone = await fetchZone(_selectedZone);
+            _parkingSpaces = zone.parkingSpaces;
+            _freeParkingSpaces = _parkingSpaces.filter(
+                (p) => !p.taken
+            ).length;
+        }
+        setParkingSpaces(_parkingSpaces);
+        setFreeParkingSpaces(_freeParkingSpaces);
+        setSelectedZone(_selectedZone);
+    };
+
+    useEffect(() => {
+        setParkingSpaces(fetchedParkingSpaces ?? []);
+        fetchedParkingSpaces &&
+            setFreeParkingSpaces(
+                fetchedParkingSpaces.filter((p) => !p.taken).length
+            );
+    }, [fetchedParkingSpaces])
+
+    return (
+        <Wrapper>
+            <FreeParkingSpacesText>
+                Слободни места: {freeParkingSpaces}
+            </FreeParkingSpacesText>
+            <GoogleMapsWrapper>
+                <GoogleMaps
+                    location={zoneInfo.parkingZoneLocation}
+                    parkingSpaces={parkingSpaces}
+                    zoneAreaColor={zoneInfo.color}
+                    zoom={selectedZone === 'NONE' ? 15 : 16}
+                />
+            </GoogleMapsWrapper>
+            <ZoneSelectInput
+                MenuProps={MenuProps}
+                name='zone'
+                onChange={handleSelectZone}
+                value={selectedZone}
+            >
+                <DropdownItem value='NONE'>
+                    <em>NONE</em>
+                </DropdownItem>
+                {fetchedSelectZones &&
+                    fetchedSelectZones.map((z, ind) => (
+                        <DropdownItem key={ind} value={z}>
+                            {z}
+                        </DropdownItem>
+                    ))}
+            </ZoneSelectInput>
+            {selectedZone !== 'NONE' ? (
+                <ZoneInfoWrapper>
+                    <KeyValueWrapper>
+                        <Key>Цена(час):</Key>
+                        <Value>{zoneInfo.price ?? ''} ден.</Value>
+                    </KeyValueWrapper>
+                    <KeyValueWrapper>
+                        <Key>Работни часови:</Key>
+                        <Value>
+                            {zoneInfo?.from ?? ''} - {zoneInfo?.to ?? ''}
+                        </Value>
+                    </KeyValueWrapper>
+                </ZoneInfoWrapper>
+            ) : null}
+        </Wrapper>
+    );
+};
+
+export default MapUsers;
Index: sources/client/src/components/user/MapUsers/styles.js
===================================================================
--- sources/client/src/components/user/MapUsers/styles.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
+++ sources/client/src/components/user/MapUsers/styles.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -0,0 +1,99 @@
+import styled from 'styled-components';
+import { MenuItem, Select } from '@mui/material';
+
+export const Wrapper = styled.div`
+    display: flex;
+    flex-direction: column;
+    align-items: center;
+    width: 100%;
+    min-height: 100%;
+    max-width: 500px;
+    position: relative;
+`;
+
+export const GoogleMapsWrapper = styled.div`
+    height: 40vh;
+    width: 100%;
+    margin-bottom: 10px;
+    > div {
+        padding: 0;
+        height: 100%;
+        border-radius: 15px;
+    }
+`;
+
+export const ZoneSelectInput = styled(Select).attrs({})`
+    text-align: center;
+    position: relative;
+    width: 49%;
+    color: white;
+    #mui-component-select-zone {
+        font-size: 1.5rem;
+        padding: 16.5px 30px 16.5px 10px;
+        color: white !important;
+        font-size: 1.2rem;
+
+        ::placeholder {
+            opacity: 0.6;
+        }
+        :disabled {
+            -webkit-text-fill-color: white;
+        }
+    }
+    svg {
+        right: 10px;
+        color: white !important;
+    }
+    fieldset {
+        border: 0;
+        border-bottom: 4px solid white !important;
+        border-radius: 25px;
+        padding: 0 10px;
+    }
+`;
+
+export const DropdownItem = styled(MenuItem).attrs({})`
+    justify-content: center;
+    border-top: 1px solid grey;
+    :first-of-type {
+        border: 0;
+    }
+`;
+
+export const FreeParkingSpacesText = styled.p`
+    font-size: 1.5rem;
+    font-weight: 600;
+    color: ${(props) => props.theme.palette.primary.light};
+    margin: 0;
+    top: 5px;
+    position: absolute;
+    margin: auto;
+    z-index: 100;
+`;
+
+export const ZoneInfoWrapper = styled.div`
+    display: flex;
+    flex-direction: row;
+    justify-content: space-between;
+    width: 80%;
+    margin-top: 20px;
+    color: whiteSmoke;
+`;
+
+export const KeyValueWrapper = styled.div`
+    display: flex;
+    flex-direction: column;
+    align-items: center;
+`;
+
+export const Key = styled.p`
+    margin: 0;
+    margin-bottom: 5px;
+    font-size: 1.25rem;
+`;
+
+export const Value = styled.h3`
+    margin: 0;
+    font-size: 1.375rem;
+    font-weight: 600;
+`;
Index: sources/client/src/components/user/MyProfile/index.js
===================================================================
--- sources/client/src/components/user/MyProfile/index.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
+++ sources/client/src/components/user/MyProfile/index.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -0,0 +1,164 @@
+import { useState, useContext, useEffect } from 'react';
+import { Link } from 'react-router-dom';
+import useForm from '../../../hooks/useForm';
+import useUpdateUserProfile from '../../../hooks/useUpdateUserProfile';
+import useGetData from '../../../hooks/useGetData';
+
+import {
+    CredentialsWrapper,
+    Input,
+    LockIcon,
+    PersonIcon,
+    PhoneIcon,
+    EditButton,
+    FullNameWrapper,
+    Wrapper,
+    ButtonsWrapper,
+    SaveButton,
+    CancelButton,
+    LockOpenIcon,
+} from './styles';
+import { IconButton } from '@mui/material';
+
+import { UserContext } from '../../../context/UserContext';
+
+const normalizeProfile = (profile) => ({
+    firstName: profile.firstName,
+    lastName: profile.lastName,
+    email: profile.email,
+    mobile: profile.mobile,
+    plates: profile.plates
+});
+
+const MyProfile = () => {
+    const { user } = useContext(UserContext);
+    const { data: userProfile, isLoading: isUserProfileLoading } = useGetData({
+        url: `/registriranParkirac/${user.id}`,
+    });
+    const [isEditActivated, setIsEditActivated] = useState(false);
+    const { data, onFormChange, setNewData } = useForm(null);
+    const [password, setPassword] = useState('');
+    const [isPasswordVisible, setIsPasswordVisible] = useState(false);
+    const { updateUserProfile } = useUpdateUserProfile();
+
+    const handleEditButton = () => {
+        setIsEditActivated(true);
+    };
+
+    const handleOnCancel = () => {
+        setIsEditActivated(false);
+        setNewData(normalizeProfile(userProfile));
+        setPassword('');
+    };
+
+    const successfulSave = () => {
+        setIsEditActivated(false);
+        setPassword('');
+    }
+
+    const handleOnSave = () => {
+        const updatedUserData = {
+            ...data,
+            password,
+        };
+        updateUserProfile({
+            userData: updatedUserData,
+            id: user.id,
+            successfulSave,
+        });
+    };
+
+    useEffect(() => {
+        if(!userProfile) return;
+        setNewData(normalizeProfile(userProfile));
+    }, [userProfile]);
+
+    return (
+        <Wrapper>
+            <CredentialsWrapper>
+                <FullNameWrapper>
+                    <Input
+                        disabled={!isEditActivated}
+                        name='firstName'
+                        placeholder='Име'
+                        style={{
+                            width: '49%',
+                        }}
+                        value={data.firstName}
+                        onChange={onFormChange}
+                    />
+                    <Input
+                        disabled={!isEditActivated}
+                        name='lastName'
+                        placeholder='Презиме'
+                        style={{
+                            width: '49%',
+                        }}
+                        value={data.lastName}
+                        onChange={onFormChange}
+                    />
+                </FullNameWrapper>
+                <Input
+                    disabled={!isEditActivated}
+                    name='mobile'
+                    placeholder='Телефонски број'
+                    value={data.mobile}
+                    onChange={onFormChange}
+                    InputProps={{
+                        startAdornment: <PhoneIcon />,
+                    }}
+                />
+                <Input
+                    disabled={!isEditActivated}
+                    name='email'
+                    placeholder='Емаил адреса'
+                    value={data.email}
+                    onChange={onFormChange}
+                    InputProps={{
+                        startAdornment: <PersonIcon />,
+                    }}
+                />
+                <Input
+                    disabled={!isEditActivated}
+                    name='password'
+                    placeholder='Лозинка'
+                    value={password}
+                    onChange={(e) => setPassword(e.target.value)}
+                    InputProps={{
+                        startAdornment: (
+                            <IconButton
+                                style={{ padding: 0 }}
+                                onClick={() =>
+                                    setIsPasswordVisible(
+                                        !isPasswordVisible && isEditActivated
+                                    )
+                                }
+                            >
+                                {isPasswordVisible ? (
+                                    <LockOpenIcon />
+                                ) : (
+                                    <LockIcon />
+                                )}
+                            </IconButton>
+                        ),
+                    }}
+                    type={
+                        isPasswordVisible && isEditActivated
+                            ? 'text'
+                            : 'password'
+                    }
+                />
+            </CredentialsWrapper>
+            {isEditActivated ? (
+                <ButtonsWrapper>
+                    <CancelButton onClick={handleOnCancel}>Откажи</CancelButton>
+                    <SaveButton onClick={handleOnSave}>Сочувај</SaveButton>
+                </ButtonsWrapper>
+            ) : (
+                <EditButton onClick={handleEditButton}>Уреди</EditButton>
+            )}
+        </Wrapper>
+    );
+};
+
+export default MyProfile;
Index: sources/client/src/components/user/MyProfile/mockData.js
===================================================================
--- sources/client/src/components/user/MyProfile/mockData.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
+++ sources/client/src/components/user/MyProfile/mockData.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -0,0 +1,6 @@
+export const mockProfileData = {
+    firstName: 'Виктор',
+    lastName: 'Тасевски',
+    phoneNumber: '071312312',
+    email: 'viktor-tasevski@hotmail.com'
+};
Index: sources/client/src/components/user/MyProfile/styles.js
===================================================================
--- sources/client/src/components/user/MyProfile/styles.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
+++ sources/client/src/components/user/MyProfile/styles.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -0,0 +1,173 @@
+import styled from 'styled-components';
+import { Button } from '@mui/material';
+import PhoneI from '@mui/icons-material/Phone';
+import TextField from '@mui/material/TextField';
+import PersonI from '@mui/icons-material/Person';
+import LockI from '@mui/icons-material/Lock';
+import EditI from '@mui/icons-material/Edit';
+import CancelI from '@mui/icons-material/Cancel';
+import SaveI from '@mui/icons-material/Save';
+import LockOpenI from '@mui/icons-material/LockOpen';
+
+export const Wrapper = styled.div`
+    text-align: center;
+`;
+
+export const CredentialsWrapper = styled.div`
+  display: flex;
+  flex-direction: column;
+  align-items: center;
+  padding: 0 25px 15px 25px;
+`;
+
+export const Input = styled(TextField).attrs({
+  fullWidth: true,
+  sx: {
+    marginTop: '20px',
+  },
+})`
+  > div {
+    padding-left: 10px;
+  }
+  input {
+    color: white !important;
+    font-size: 1.2rem;
+    padding-left: 10px;
+
+    ::placeholder {
+      opacity: 0.6;
+    }
+    :disabled {
+      -webkit-text-fill-color: white;
+    }
+  }
+  fieldset {
+    border: 0;
+    border-bottom: 4px solid white ;
+    border-radius: 25px;
+    padding: 0 10px;
+  }
+`;
+
+export const LockIcon = styled(LockI).attrs({
+  sx: {
+    fontSize: '2rem',
+    color: 'white',
+  },
+})``;
+
+export const LockOpenIcon = styled(LockOpenI).attrs({
+    sx: {
+        fontSize: '2rem',
+        color: 'white',
+    },
+})``;
+
+export const PersonIcon = styled(PersonI).attrs({
+  sx: {
+    fontSize: '2rem',
+    color: 'white',
+  },
+})``;
+
+export const PhoneIcon = styled(PhoneI).attrs({
+  sx: {
+    fontSize: '2rem',
+    color: 'white',
+  },
+})``;
+
+const EditIcon = styled(EditI).attrs({
+    sx: {
+        width: '1.5rem',
+        height: '100%'
+    }
+})``;
+
+const CancelIcon = styled(CancelI).attrs({
+  sx: {
+    width: '1.5rem',
+    height: '100%',
+  },
+})``;
+
+const SaveIcon = styled(SaveI).attrs({
+  sx: {
+    width: '1.5rem',
+    height: '100%',
+  },
+})``;
+
+export const SaveButton = styled(Button).attrs((props) => ({
+  variant: 'contained',
+  size: 'large',
+  sx: {
+    width: '40%',
+    backgroundColor: 'white',
+  },
+  startIcon: <SaveIcon />,
+}))`
+  color: ${(props) => props.theme.palette.primary.main};
+  box-shadow: 5px 5px 10px ${(props) => props.theme.palette.background.shadow};
+  border-radius: 15px;
+  font-size: 1.2rem;
+  font-weight: 600;
+  :hover {
+    background-color: ${(props) => props.theme.palette.background.whiteSmoke};
+  }
+`;
+
+export const CancelButton = styled(Button).attrs((props) => ({
+  variant: 'contained',
+  size: 'large',
+  sx: {
+    width: '35%',
+    backgroundColor: 'white',
+  },
+  startIcon: <CancelIcon />,
+}))`
+  color: ${(props) => props.theme.palette.error.main};
+  box-shadow: 5px 5px 10px ${(props) => props.theme.palette.background.shadow};
+  border-radius: 15px;
+  font-size: 1rem;
+  font-weight: 600;
+  :hover {
+    background-color: ${(props) => props.theme.palette.background.whiteSmoke};
+  }
+`;
+
+export const EditButton = styled(Button).attrs((props) => ({
+    variant: 'contained',
+    size: 'large',
+    startIcon: <EditIcon />,
+    sx: {
+        width: '40%',
+        backgroundColor: 'white',
+    },
+}))`
+    margin-top: 5vh;
+    box-shadow: 5px 5px 10px ${(props) => props.theme.palette.background.shadow};
+    color: ${(props) => props.theme.palette.third.main};
+    border-radius: 15px;
+    font-size: 1.2rem;
+    font-weight: 600;
+    :hover {
+        background-color: ${(props) =>
+            props.theme.palette.background.whiteSmoke};
+    }
+`;
+
+export const FullNameWrapper = styled.div`
+  display: flex;
+  flex-direction: row;
+  justify-content: space-between;
+  width: 100%;
+`;
+
+export const ButtonsWrapper = styled.div`
+    margin-top: 5vh;
+    display: flex;
+    flex-direction: row;
+    justify-content: space-between;
+    padding: 0 25px;
+`;
Index: sources/client/src/components/user/Session/Buttons/index.js
===================================================================
--- sources/client/src/components/user/Session/Buttons/index.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
+++ sources/client/src/components/user/Session/Buttons/index.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -0,0 +1,38 @@
+import { sessionStatus } from '../../../../config/enums';
+
+import { RoundWrapper, FuncText, HelperText, PayButton } from './styles';
+
+const RoundButton = ({ text, bgColor, onClick }) => (
+    <RoundWrapper style={{ backgroundColor: bgColor }} onClick={onClick}>
+        <FuncText>{text}</FuncText>
+        <HelperText>Double-Tap</HelperText>
+    </RoundWrapper>
+);
+
+const Buttons = ({ status, handlePayButton, onClick }) => {
+    switch (status) {
+        case null:
+            return (
+                <RoundButton
+                    text='Започни'
+                    bgColor='#01a66f'
+                    onClick={onClick}
+                />
+            );
+        case sessionStatus.idle:
+        case sessionStatus.active:
+            return (
+                <RoundButton
+                    text='Заврши'
+                    bgColor='#d51e00'
+                    onClick={onClick}
+                />
+            );
+        case sessionStatus.over:
+            return <PayButton onClick={handlePayButton}>Плати</PayButton>;
+        default:
+            return null;
+    }
+};
+
+export default Buttons;
Index: sources/client/src/components/user/Session/Buttons/styles.js
===================================================================
--- sources/client/src/components/user/Session/Buttons/styles.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
+++ sources/client/src/components/user/Session/Buttons/styles.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -0,0 +1,44 @@
+import styled from 'styled-components';
+import { Button } from '@mui/material';
+
+export const RoundWrapper = styled(Button).attrs({})`
+    width: 150px;
+    height: 150px;
+    border-radius: 50%;
+    border: 1px dashed black;
+    box-shadow: 0 0 7px 3px black;
+    flex-direction: column;
+    color: black;
+    text-align: center;
+`;
+
+export const FuncText = styled.h2`
+    font-style: italic;
+    font-weight: 600;
+    margin: 0;
+    margin-top: 20px;
+`;
+
+export const HelperText = styled.h6`
+    text-decoration: underline;
+    margin: 0;
+    margin-top: 40px;
+`;
+
+export const PayButton = styled(Button).attrs((props) => ({
+    variant: 'contained',
+    size: 'large',
+    sx: {
+        backgroundColor: `#008080
+        `,
+        width: '200px',
+    },
+}))`
+    font-size: 25px;
+    font-style: italic;
+    box-shadow: 1px 1px 5px 1px black;
+    margin-top: 5vh;
+    :hover {
+        background-color: #007070;
+    }
+`;
Index: sources/client/src/components/user/Session/SessionGuest/index.js
===================================================================
--- sources/client/src/components/user/Session/SessionGuest/index.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
+++ sources/client/src/components/user/Session/SessionGuest/index.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -0,0 +1,100 @@
+import { useContext, useEffect } from 'react';
+import {
+    SessionInfo,
+    Input,
+    PersonIcon,
+    PhoneIcon,
+    PlateAndZoneWrapper,
+    ZoneSelectInput,
+    DropdownItem,
+} from './styles';
+
+import { sessionStatus as enumsSessionStatus } from '../../../../config/enums';
+import useGetData from '../../../../hooks/useGetData';
+import { UserContext } from '../../../../context/UserContext';
+
+const MenuProps = {
+    PaperProps: {
+        style: {
+            height: 150,
+            width: '35px',
+        },
+    },
+};
+
+const SessionGuest = ({
+    sessionStatus,
+    sessionInfo,
+    zones,
+    data,
+    onFormChange,
+    setNewData,
+}) => {
+    const { user } = useContext(UserContext);
+    const { data: guest, isLoading: isGuestLoading } = useGetData({
+        url: `/guest/${user.id}`,
+    });
+
+    useEffect(() => {
+        if (!guest) return;
+        setNewData({ plate: guest.plate.plate, zone: data.zone });
+    }, [guest]);
+    console.log(sessionStatus);
+    return (
+        !isGuestLoading && <SessionInfo>
+            <Input
+                disabled
+                name='mobile'
+                placeholder='Телефонски број'
+                value={guest.mobile}
+                InputProps={{
+                    startAdornment: <PhoneIcon />,
+                }}
+            />
+            <Input
+                disabled
+                name='email'
+                placeholder='Емаил адреса'
+                value={guest.email}
+                InputProps={{
+                    startAdornment: <PersonIcon />,
+                }}
+            />
+            <PlateAndZoneWrapper>
+                <Input
+                    disabled
+                    name='plate'
+                    placeholder='Таблица...'
+                    style={{
+                        width: '49%',
+                        textAlign: 'center',
+                    }}
+                    value={guest.plate.plate}
+                />
+                <ZoneSelectInput
+                    MenuProps={MenuProps}
+                    name='zone'
+                    onChange={onFormChange}
+                    value={data.zone}
+                    inputProps={{
+                        readOnly:
+                            sessionStatus !== null
+                                
+                    }}
+                    $show={sessionStatus === null}
+                >
+                    <DropdownItem value='NONE'>
+                        <em>NONE</em>
+                    </DropdownItem>
+                    {zones.map((z, ind) => (
+                        <DropdownItem key={ind} value={z}>
+                            {z}
+                        </DropdownItem>
+                    ))}
+                </ZoneSelectInput>
+            </PlateAndZoneWrapper>
+        </SessionInfo>
+    );
+};
+
+export default SessionGuest;
Index: sources/client/src/components/user/Session/SessionGuest/styles.js
===================================================================
--- sources/client/src/components/user/Session/SessionGuest/styles.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
+++ sources/client/src/components/user/Session/SessionGuest/styles.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -0,0 +1,101 @@
+import styled from 'styled-components';
+import TextField from '@mui/material/TextField';
+import PhoneI from '@mui/icons-material/Phone';
+import PersonI from '@mui/icons-material/Person';
+import { MenuItem, Select } from '@mui/material';
+
+export const SessionInfo = styled.div`
+    display: flex;
+    flex-direction: column;
+    align-items: center;
+    padding: 0 25px 15px 25px;
+`;
+
+export const Input = styled(TextField).attrs({
+    fullWidth: true,
+    sx: {
+        marginTop: '20px',
+    },
+})`
+    > div {
+        padding-left: 10px;
+    }
+    input {
+        color: white !important;
+        font-size: 1.2rem;
+        padding-left: 10px;
+
+        ::placeholder {
+            opacity: 0.6;
+        }
+        :disabled {
+            -webkit-text-fill-color: white;
+        }
+    }
+    fieldset {
+        border: 0;
+        border-bottom: 4px solid white !important;
+        border-radius: 25px;
+        padding: 0 10px;
+    }
+`;
+
+export const PersonIcon = styled(PersonI).attrs({
+    sx: {
+        fontSize: '2rem',
+        color: 'white',
+    },
+})``;
+
+export const PhoneIcon = styled(PhoneI).attrs({
+    sx: {
+        fontSize: '2rem',
+        color: 'white',
+    },
+})``;
+
+export const PlateAndZoneWrapper = styled.div`
+    display: flex;
+    flex-direction: row;
+    justify-content: space-between;
+    width: 100%;
+`;
+
+export const ZoneSelectInput = styled(Select).attrs({})`
+    text-align: center;
+    position: relative;
+    width: 49%;
+    #mui-component-select-zone {
+        font-size: 1.5rem;
+        padding: 25px 30px 0 15px;
+        color: white !important;
+        font-size: 1.2rem;
+
+        ::placeholder {
+            opacity: 0.6;
+        }
+        :disabled {
+            -webkit-text-fill-color: white;
+        }
+    }
+    svg {
+        top: 40px;
+        right: 10px;
+        color: white !important;
+        display: ${(props) => (!props.$show ? 'none' : '')};
+    }
+    fieldset {
+        border: 0;
+        border-bottom: 4px solid white !important;
+        border-radius: 25px;
+        padding: 0 10px;
+    }
+`;
+
+export const DropdownItem = styled(MenuItem).attrs({})`
+    justify-content: center;
+    border-top: 1px solid grey;
+    :first-of-type {
+        border: 0;
+    }
+`;
